%define major 7

Summary: SASL is the Simple Authentication and Security Layer.
Name: cyrus-sasl
Version: 1.5.24
Release: 2mdk
Source0: %{name}-%{version}.tar.bz2
Patch0: cyrus-sasl-1.5.21-des.patch
Patch1: cyrus-sasl-1.5.24-external.patch
Copyright: BSD
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: libsasl%{major}

%description
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 

%package -n libsasl%{major}
Summary: Librairies for SASL a the Simple Authentication and Security Layer.
Group: System/Libraries


%description -n libsasl%{major}
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 

%package -n libsasl%{major}-devel
Summary: Librairies for SASL a the Simple Authentication and Security Layer.
Group: Development/C
Provides: libsasl-devel
Requires: libsasl%{major} = %{version}

%description -n libsasl%{major}-devel
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 

%prep
%setup
%patch0 -p1 -b .des
%patch1 -p1 -b .external

%build
%configure 	--enable-static --enable-shared \
		--with-plugindir=%{_libdir}/sasl \
		--with-dblib=gdbm \
		--disable-krb4 \
		--with-rc4 \
		--enable-anon \
		--enable-cram \
		--enable-plain \
		--enable-login

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libsasl%{major} -p /sbin/ldconfig

%postun -n libsasl%{major} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_sbindir}/*
%{_mandir}/man8/*

%files -n libsasl%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*/*.so.*

%files -n libsasl%{major}-devel
%defattr(-,root,root)
%doc COPYING AUTHORS INSTALL NEWS README TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/*/*.so
%{_libdir}/*/*a
%{_mandir}/man3/*

%changelog
* Fri Mar  9 2001 Vincent Saugey <vince@mandrakesoft.com> 1.5.24-2mdk
- Adding include file in devel package

* Mon Nov 27 2000 Vincent Saugey <vince@mandrakesoft.com> 1.5.24-1mdk
- First mdk release
